# Gets all of the processes a contact/org is eligible to use Endpoint: GET /nominationProcesses/{tenantId}/eligible/{awardId}/{customerType}/{customer_id} Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed - `awardId` (string, required) The award_id to use to for record lookup - `customerType` (string, required) The customer type - `customer_id` (string, required) The ID of the customer ## Response 200 fields (application/json): - `allow_self_nominations` (boolean) Should be able to self nominate - `automatically_create_application_for_nominee` (boolean) Automatically create an application for a nominee - `available_from` (string) The date to start showing the process in the portal - `available_until` (string) The date to stop showing the process in the portal - `award_id` (string, required) The id of the award - `confirmation_email` (object, required) The email to send - `confirmation_email.bcc` (string) Anyone that should be bcc'ed on the email - `confirmation_email.body` (string, required) The email body - `confirmation_email.cc` (string) Anyone that should be cc'ed on the email - `confirmation_email.from` (string) From email address - `confirmation_email.from_name` (string) From name - `confirmation_email.reply_to` (string) The reply to - `confirmation_email.subject` (string, required) The email subject - `contact_form_options` (object, required) - `contact_form_options.contact_form_id` (string, required) The default contact form to present to the user to verify the contact info before proceeding - `contact_form_options.html` (string) Text to show on the top of the form - `display_in_portal` (boolean) Whether or not to hide in the portal - `display_in_portal_as` (string) How to display this process in the portal - `display_order` (number) The order to display - `eligibility_criteria` (object, required) The criteria for eligibility - `enable_confirmation_email` (boolean) Should the process send out confirmation emails - `enable_eligibility_criteria` (boolean) Should allow eligibility criteria - `enable_nominee_notification_email` (boolean) Should the process send out nominee notification emails - `id` (string, required) The unique, string identifier of this nomination process - `is_active` (boolean) Whether or not this process is active - `name` (string, required) The name of the nomination process - `nomination_form_id` (string, required) The registration form - `nominee_mode` (string, required) Which mode the nomination process will allow Enum: "both", "manually enter nominee information", "select existing nominee" - `nominee_notification_email` (object, required) The email notification to send to the nominee - `nominee_type` (string, required) The type of nominee: contact, organization Enum: "contact", "organization" - `organization_form_options` (object, required) - `organization_form_options.organization_form_id` (string, required) The default organization form to present to the user to verify the organization info before proceeding - `quick_add_contact_settings` (object) Settings that define what fields to show when adding a contact-based nominee - `send_notification_email_for_first_nomination_only` (boolean) Should send email only for first nomination - `show_contact_form` (boolean) Whether or not to show a contact form - `show_organization_form` (boolean) Whether or not to show an organization form - `sys_bulk_load_at` (string) If this record was loaded via bulk, the timestamp when the record was processed - `sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `sys_bulk_load_pk` (string) If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key - `sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `sys_calculated_field_error` (string) The error associated with the calculated field - `sys_calculated_field_errors` (array) - `sys_calculated_field_errors.error` (string) - `sys_calculated_field_errors.field` (string) - `sys_configuration_snapshot_id` (string) If a snapshot was restored/applies to this record, the ID of the snapshot - `sys_created_at` (string, required) The date/time that this record was created, expressed in ISO-8601 date format - `sys_created_by_id` (string, required) The ID of the user that created this record - `sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `sys_directive` (string) Means for passing directive information into an object processing logic - `sys_external_id` (string) The ID that a record has from an external system or data import - `sys_has_files_in_s3` (boolean) If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion - `sys_last_bulk_data_operation_id` (string) If this record was last touched by a bulk data operation, the ID of that operation - `sys_last_bulk_data_operation_sys_version` (string) If this record was last touched by a bulk data operation, the sys_version at the time of that operation - `sys_last_modified_at` (string, required) The date/time that this record record was last modified, expressed in ISO-8601 date format - `sys_last_modified_by_id` (string, required) The ID of the user that last modified this record - `sys_last_security_context` (object) The security context of the last insert, modify, or delete performed on this item - `sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `sys_snapshot_base_version` (number) The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox - `sys_version` (number) A number representing the version of this record in the database ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 429 fields ## Response 500 fields